summaryrefslogtreecommitdiffstats
path: root/src/board/x200_8mb.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/board/x200_8mb.sh')
-rw-r--r--src/board/x200_8mb.sh58
1 files changed, 58 insertions, 0 deletions
diff --git a/src/board/x200_8mb.sh b/src/board/x200_8mb.sh
new file mode 100644
index 0000000..bbf7b9d
--- /dev/null
+++ b/src/board/x200_8mb.sh
@@ -0,0 +1,58 @@
+# Lenovo ThinkPad X200 (8-MiB flash) board
+#
+# Copyright (C) 2015 Patrick "P. J." McDermott
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+board_x200_8mb_get_name()
+{
+ printf 'Lenovo ThinkPad X200 (8-MiB flash)'
+ return 0
+}
+
+board_x200_8mb_match()
+{
+ local vendor="${1}"
+ local part="${2}"
+ local chip="${3}"
+ shift 3
+
+ [ "x${vendor}" = 'xLENOVO' ] || return 1
+ [ "x${part}" = 'xThinkPad X200' ] || return 1
+ case "${chip}" in
+ 'MX25L6405D');; # MX25L6405DMI-12G
+ 'W25X64');; # W25X64VSFIG
+ *) return 1;;
+ esac
+ return 0
+}
+
+board_x200_8mb_validate_chip()
+{
+ local chip="${1}"
+ shift 1
+
+ case "${chip}" in
+ 'MX25L6405D');; # MX25L6405DMI-12G
+ 'W25X64');; # W25X64VSFIG
+ *) return 1;;
+ esac
+ return 0
+}
+
+board_x200_8mb_get_dists()
+{
+ printf 'libreboot libiquity'
+ return 0
+}